gnutls_dtls_cookie_verify(3)

NAME
gnutls_dtls_cookie_verify - API function

SYNOPSIS
#include <gnutls/dtls.h>

int gnutls_dtls_cookie_verify(gnutls_datum_t* key, void* client_data, size_t client_data_size, void* _msg, size_t msg_size, gnutls_dtls_prestate_st* prestate);

ARGUMENTS

gnutls_datum_t* key
    is a random key to be used at cookie generation

void* client_data
    contains data identifying the client (i.e. address)

size_t client_data_size
    The size of client's data

void* _msg
    An incoming message that initiates a connection.

size_t msg_size
    The size of the message.

gnutls_dtls_prestate_st* prestate
    The cookie of this client.

DESCRIPTION
This function will verify the received message for a valid cookie. If a valid cookie is returned then it should be associated with the session using gnutls_dtls_prestate_set(); This function must be called after gnutls_dtls_cookie_send().

RETURNS
GNUTLS_E_SUCCESS (0) on success, or a negative error code.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/